/***************************************************************************
 *   Copyright (C) 2004 by Christian Hubinger                              *
 *   e9806056@student.tuwien.ac.at                                         *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef KFGAME_H
#define KFGAME_H

#include <qstring.h>
#include <qstringlist.h>
#include <qptrlist.h>
#include <qdict.h>

#include "kflevel.h"
/**
@author Christian Hubinger
*/
class KFGame{
public:
	KFGame();
	~KFGame();
	void startLevel( int level, int moves );
	KFLevel* endLevel( int moves );
	KFLevel* getLevel();
	void endGame();
	void startGame( int );
	QPtrList<KFLevel>& levelList();
	int reachedLevel() const {
		return m_reachedLevel;
	};
	int gameScore() const {
		return m_score;
	};
	
	enum { CHILD, BEGINNER, ADVANCED, EXPERT  };

private:
	QPtrList<KFLevel> m_gameHistory;
	int m_skill;
	int m_reachedLevel;
	int m_score;
};

#endif
